#version 120

uniform sampler2D gcolor;
uniform sampler2D colortex4;

varying vec2 texcoord;

void main() {
	vec4 oldColor = texture2D(gcolor, texcoord);

    float x = (mod((oldColor.b * 255.0), 16) * 256.0) + (oldColor.r * 255.0);
    float y = (floor((oldColor.b * 255.0) / 16.0) * 256.0) + (oldColor.g * 255.0);
    vec2 uv = vec2(x, y);
    vec4 newColor = vec4(texture2D(colortex4, uv / 4096.0).rgb, oldColor.a);

    /* DRAWBUFFERS:0 */
    gl_FragData[0] = newColor;
}